export declare class HighlightWithInTextarea {
    private isGenerated;
    private readonly prefixIdForNewElement?;
    private readonly targetElement;
    private highlightsElement;
    private backdropElement;
    private containerElement;
    private readonly highlightConfig?;
    private userBrowser?;
    constructor(targetElement: HTMLTextAreaElement, config: HighlightConfig);
    private generateUUIDv4WithoutHyphens;
    private getType;
    private generate;
    private detectBrowser;
    private fixFirefox;
    private fixIOS;
    private handleInput;
    private getRanges;
    private getArrayRanges;
    private getFunctionRanges;
    private getRegExpRanges;
    private getStringRanges;
    private getRangeRanges;
    private getCustomRanges;
    private removeStaggeredRanges;
    private getBoundaries;
    private sortBoundaries;
    private renderMarks;
    private handleScroll;
    private blockContainerScroll;
    destroy(): void;
}
